Subject: Re: bug#42836: 27.1; default-directory is set to "/" after startup

From: Sean Devlin <[email-masked]>
Date: Thu, 13 Aug 2020 00:08:14 -0400

> On Aug 12, 2020, at 10:32 PM, Eli Zaretskii <[email-masked]> wrote:
> 
> 
>> 
>> From: Sean Devlin <[email-masked]>
>> Date: Wed, 12 Aug 2020 17:17:28 -0400
>> 
>>> When I open Emacs 27.1 by invoking the executable directly (i.e. the
>>> last method above), the default-directory in those buffers is "~/“.
>> 
>> Correction: the default directory is the working directory of the parent process (i.e. the shell) in this case.
> 
> If that's what happens, it's what I would expect, and it happens for
> me on systems other than macOS.

That’s not the unexpected part; I just mentioned it for completeness.

The unexpected behavior is that opening the application by clicking the icon sets default-directory to “/“ in the scratch buffer. This is true even though the process-level working directory is my home directory. It is also a change in behavior from 26.3.